Package org.sonatype.maven.polyglot.cli

## Class TeslaTranslatorCli

- java.lang.Object
- - org.sonatype.maven.polyglot.cli.TeslaTranslatorCli

    public class TeslaTranslatorCli
    extends java.lang.Object

### Constructor Summary

Constructors
`TeslaTranslatorCli()`
`TeslaTranslatorCli​(org.codehaus.plexus.classworlds.ClassWorld classWorld)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`
`static int` `main​(java.lang.String[] args, org.codehaus.plexus.classworlds.ClassWorld classWorld)`
`int` `run​(java.lang.String[] args)`
`void` `translate​(java.io.File input, java.io.File output)`
`void` `translate​(java.net.URL input, java.net.URL output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TeslaTranslatorCli

    public TeslaTranslatorCli​(org.codehaus.plexus.classworlds.ClassWorld classWorld)
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TeslaTranslatorCli

    public TeslaTranslatorCli()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

### Method Detail

#### run

    public int run​(java.lang.String[] args)
            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### translate

    public void translate​(java.io.File input,
                          java.io.File output)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### translate

    public void translate​(java.net.URL input,
                          java.net.URL output)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### main

    public static int main​(java.lang.String[] args,
                           org.codehaus.plexus.classworlds.ClassWorld classWorld)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`